using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class Bus : DataEntityBase
	{
		public Bus()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _OwnersID;
		public System.Int32 OwnersID
		{
			get
			{
				return this._OwnersID;
			}
			set
			{
				this._OwnersID = value;
				IsChanged = true;
			}
		}

		private System.String _BusLicense;
		public System.String BusLicense
		{
			get
			{
				return this._BusLicense;
			}
			set
			{
				this._BusLicense = value;
				IsChanged = true;
			}
		}

		private System.String _TransportCard;
		public System.String TransportCard
		{
			get
			{
				return this._TransportCard;
			}
			set
			{
				this._TransportCard = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TransportCardIssueDate;
		public System.DateTime TransportCardIssueDate
		{
			get
			{
				return this._TransportCardIssueDate;
			}
			set
			{
				this._TransportCardIssueDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TransportCardFromDate;
		public System.DateTime TransportCardFromDate
		{
			get
			{
				return this._TransportCardFromDate;
			}
			set
			{
				this._TransportCardFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _TransportCardToDate;
		public System.DateTime TransportCardToDate
		{
			get
			{
				return this._TransportCardToDate;
			}
			set
			{
				this._TransportCardToDate = value;
				IsChanged = true;
			}
		}

		private System.String _BusColor;
		public System.String BusColor
		{
			get
			{
				return this._BusColor;
			}
			set
			{
				this._BusColor = value;
				IsChanged = true;
			}
		}

		private System.Int32 _SeatNumber;
		public System.Int32 SeatNumber
		{
			get
			{
				return this._SeatNumber;
			}
			set
			{
				this._SeatNumber = value;
				IsChanged = true;
			}
		}

		private System.String _Engine;
		public System.String Engine
		{
			get
			{
				return this._Engine;
			}
			set
			{
				this._Engine = value;
				IsChanged = true;
			}
		}

		private System.String _Chassis;
		public System.String Chassis
		{
			get
			{
				return this._Chassis;
			}
			set
			{
				this._Chassis = value;
				IsChanged = true;
			}
		}

		private System.String _BusModel;
		public System.String BusModel
		{
			get
			{
				return this._BusModel;
			}
			set
			{
				this._BusModel = value;
				IsChanged = true;
			}
		}

		private System.String _Fuel;
		public System.String Fuel
		{
			get
			{
				return this._Fuel;
			}
			set
			{
				this._Fuel = value;
				IsChanged = true;
			}
		}

		private System.String _AnnualDate;
		public System.String AnnualDate
		{
			get
			{
				return this._AnnualDate;
			}
			set
			{
				this._AnnualDate = value;
				IsChanged = true;
			}
		}

		private System.String _BusinessRightCard;
		public System.String BusinessRightCard
		{
			get
			{
				return this._BusinessRightCard;
			}
			set
			{
				this._BusinessRightCard = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BusinessRightCardIssueDate;
		public System.DateTime BusinessRightCardIssueDate
		{
			get
			{
				return this._BusinessRightCardIssueDate;
			}
			set
			{
				this._BusinessRightCardIssueDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BusinessRightCardFromDate;
		public System.DateTime BusinessRightCardFromDate
		{
			get
			{
				return this._BusinessRightCardFromDate;
			}
			set
			{
				this._BusinessRightCardFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _BusinessRightCardToDate;
		public System.DateTime BusinessRightCardToDate
		{
			get
			{
				return this._BusinessRightCardToDate;
			}
			set
			{
				this._BusinessRightCardToDate = value;
				IsChanged = true;
			}
		}

		private System.String _OperateCard;
		public System.String OperateCard
		{
			get
			{
				return this._OperateCard;
			}
			set
			{
				this._OperateCard = value;
				IsChanged = true;
			}
		}

		private System.DateTime _OperateCardFromDate;
		public System.DateTime OperateCardFromDate
		{
			get
			{
				return this._OperateCardFromDate;
			}
			set
			{
				this._OperateCardFromDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _OperateCardToDate;
		public System.DateTime OperateCardToDate
		{
			get
			{
				return this._OperateCardToDate;
			}
			set
			{
				this._OperateCardToDate = value;
				IsChanged = true;
			}
		}

		private System.DateTime _OperateIssueDate;
		public System.DateTime OperateIssueDate
		{
			get
			{
				return this._OperateIssueDate;
			}
			set
			{
				this._OperateIssueDate = value;
				IsChanged = true;
			}
		}

		private System.Int32 _LineID;
		public System.Int32 LineID
		{
			get
			{
				return this._LineID;
			}
			set
			{
				this._LineID = value;
				IsChanged = true;
			}
		}

		private System.String _LineName;
		public System.String LineName
		{
			get
			{
				return this._LineName;
			}
			set
			{
				this._LineName = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}